<?php
require_once(LIB_PATH . '/' . 'database.php');

class Loan extends DatabaseObject
{
    protected static $table_name = "loan";
    public $id;
    public $group_id;
    public $staff_id;
   
    public $branch_id;
    public $loanform;
    public $client_id;
    public $name;
    public $surname;
    public $othernames;
    public $bname;
    public $lastloan;
    public $dateofrepayment;
    public $approved;
    public $typeofbusiness;
    public $date;
    public $loutstanding;
    public $ldate;

    public $amount_applied;
    public $loanduration;
   
    public $dateoffirstinstallment;

    public $dateoflastinstallment;
    public $reye;
   
    public $reno;
    public $existingname;
    public $familyregistered;
   
    public $longinbusiness;
    public $monthlyincome;
    public $indebted;
   
    public $mentionname;
    public $phone;
    public $marital;
    public $amount;
    


public static function validateFormNumber($formno)
{

  global $database;

   $sql="SELECT t.*, b.date, b.fullname,b.phone,s.amount,g.name FROM loan t INNER JOIN clientgroup g ON g.id=t.group_id INNER JOIN tbl_client b ON b.id=t.client_id INNER JOIN savings s ON s.client_id=t.client_id  WHERE t.loanform='$formno' ORDER BY s.amount desc LIMIT 1";
  $result_array=self::find_by_sql($sql);
  return !empty($result_array)? array_shift($result_array):false;
}



public static function get_last_id(){

  global $database;

  $sql="Select * from loan order by id desc limit 1";

  $result_array = self::find_by_sql($sql);
    return !empty($result_array) ? array_shift($result_array) : false;
    
}

public static function save_new_loan_data($loanform,$staff_id,$group_id,$client_id,$lastloan, $repaid, $typeofbusiness,$loanapplied,$loanduration,$noinstallment,$datefirst,$datelast,$reyes,$reno,$existingname,$familyregistered,$longinbusiness,$monthlyincome,$indebted,$mentionname)
{

  global $database;

   $sql = "INSERT INTO loan (";
        $sql .= "loanform,staff_id,group_id,client_id,lastloan,dateofrepayment,typeofbusiness,amount_applied,loanduration,noofinstallment,dateoffirstinstallment,dateoflastinstallment,reyes,reno,existingname,familyregistered,longinbusiness,monthlyincome,indebted,mentionname";

          
       $sql .= ") VALUES ('";
       $sql .= $loanform . "', '";
        $sql .= $staff_id . "', '";
      
        $sql .= $group_id . "', '";
        $sql .= $client_id . "', '";
        $sql .=$lastloan. "', '";
        $sql .= $repaid . "', '";

        $sql .= $typeofbusiness . "', '";
        $sql .= $loanapplied . "', '";
        $sql .= $loanduration . "', '";

        $sql .= $noinstallment . "', '";
        $sql .= $datefirst . "', '";
        $sql .= $datelast . "', '";

        $sql .= $reyes . "', '";
        $sql .= $reno . "', '";
        $sql .= $existingname . "', '";

        $sql .= $familyregistered . "', '";
        $sql .= $longinbusiness . "', '";
        $sql .= $monthlyincome . "', '";

        $sql .= $indebted . "', '";
        
        $sql .= $mentionname . "'
          
       )";

        if ($database->query($sql)) {
            //$this->id=$database->insert_id();
            return $database->query($sql);
          
        } else {
            return $database->query($sql);
        }


    }

    public static function getallloandetailsapproved($staff_id)
    {
      global $database;
    
      $sql = "SELECT distinct l.loanform,l.approved,l.amount_applied,l.client_id,s.*,b.* FROM loan l 
      LEFT JOIN tbl_staffs s ON l.staff_id=s.id 
      INNER JOIN tbl_branches b ON s.staff_branch_id=b.id 
      WHERE l.staff_id=$staff_id and l.approved=1 group by l.loanform";
      return $result_array=self::find_by_sql($sql);
     //  return !empty($result_array) ? array_shift($result_array) : false;
        
    
    
    }


    public static function getallloandetailsnotapproved($staff_id)
    {
      global $database;
    
      $sql = "SELECT distinct l.loanform,l.approved,l.amount_applied,l.client_id,s.*,b.* FROM loan l 
      LEFT JOIN tbl_staffs s ON l.staff_id=s.id 
      INNER JOIN tbl_branches b ON s.staff_branch_id=b.id 
      WHERE l.staff_id=$staff_id and l.approved=0 group by l.loanform";
      return $result_array=self::find_by_sql($sql);
     //  return !empty($result_array) ? array_shift($result_array) : false;
        
    
    
    }
public static function getloandetails($clientid)
{
  global $database;

  $sql = "SELECT * FROM loan WHERE client_id=$clientid and approved=0";
   $result_array=self::find_by_sql($sql);
   return !empty($result_array) ? array_shift($result_array) : false;
    


}
public static function veiwclientfromgroup($group_id)
{
  global $database;

  $sql = "SELECT * FROM tbl_client WHERE group_id=$group_id";
  return $result_array=self::find_by_sql($sql);

}


    

public static function get_new_client_data($group_id, $staff_id, $branch_id,$account_number, $fullname, $fathername,$resaddress,$permaddress,$busaddress,$phone,$age,$marital,$none,$primarysc,$secondary,$tertiary,$nextname,$nextphone){

  global $database;

   $sql = "INSERT INTO tbl_client (";
        $sql .= "group_id, staff_id, branch_id,account_number, fullname, fathername,resaddress,permaddress,busaddress,phone,age,marital,none,primarysc,secondary,tertiary,nextname,nextphone";

          
       $sql .= ") VALUES ('";
        $sql .= $group_id . "', '";
      
        $sql .= $staff_id . "', '";
        $sql .= $branch_id . "', '";
        $sql .=$account_number. "', '";
        $sql .= $fullname . "', '";

        $sql .= $fathername . "', '";
        $sql .= $resaddress . "', '";
        $sql .= $permaddress . "', '";

        $sql .= $busaddress . "', '";
        $sql .= $phone . "', '";
        $sql .= $age . "', '";

        $sql .= $marital . "', '";
        $sql .= $none . "', '";
        $sql .= $primarysc . "', '";

        $sql .= $secondary . "', '";
        $sql .= $tertiary . "', '";
        $sql .= $nextname . "', '";
        
        $sql .= $nextphone . "'
          
       )";

        if ($database->query($sql)) {
            //$this->id=$database->insert_id();
            return true;
          
        } else {
            return false;
        }


    }



   











}

//Common database Methods
 $loan = new Loan();
?>